﻿using System;
using SampleApp.DependencyServices;
using SampleApp.Droid;
using Xamarin.Forms;
using Xamarin.Forms.Platform.Android;

[assembly: Dependency(typeof(AndroidHeaderPane))]
namespace SampleApp.Droid
{
    public class AndroidHeaderPane : IAccessibilityHeading, IAccessibilityPane
    {
        public AndroidHeaderPane()
        {
        }

        public void SetHeading(View v)
        {
            v.GetRenderer().View.AccessibilityHeading = true;

        }

        //check if the passed view (vc) is a header
        public bool CheckHeading(View vc)
        {
            if (vc.GetRenderer().View.AccessibilityHeading == true)
            {
                return true;
            }
            return false;
        }

        public void SetPane(View v, string t)
        {
            v.GetRenderer().View.AccessibilityPaneTitle = t;
        }

        public bool CheckPane(View vc)
        {
            if (vc.GetRenderer().View.AccessibilityPaneTitle == null)
            {
                return false;
            }
            return true;


        }
    }
}
