﻿using System;
using SampleApp.CustomRenderers;
using Xamarin.Forms;
using SampleApp.iOS;
using Xamarin.Forms.Platform.iOS;
using SampleApp.Views;
using UIKit;

[assembly: ExportRenderer(typeof(CustomView), typeof(iOSMagicTap))]
namespace SampleApp.iOS
{
    public class iOSMagicTap : EditorRenderer
    {

        protected override void OnElementChanged(ElementChangedEventArgs<Editor> e)
        {
            base.OnElementChanged(e);

            if (Control != null)
            {
                SetNativeControl(new MyView());
            }
        }
    }

    public class MyView : UITextView
    {
        private Random rnd = new Random();

        public MyView() : base()
        {
            base.Text = "Perform a magic tap (tap with two fingers) to change the background color.";
            base.AccessibilityPerformMagicTap();
            base.Editable = false;
            base.Font = base.Font.WithSize(30);
            Functionality23.customEditor.BackgroundColor = Color.White;
            Functionality23.customEditor.TextColor = Color.Black;
        }

        public override bool AccessibilityPerformMagicTap()
        {
            //random color
            Color randomColor = Color.FromRgb(rnd.Next(256), rnd.Next(256), rnd.Next(256));

            Functionality23.customEditor.Text = "MAGIC TAP";
            Functionality23.customEditor.BackgroundColor = randomColor;
            Functionality23.customEditor.TextColor = Color.White;
            return true;
        }
    }
}